Index: sasmodels/model_test.py
===================================================================
--- sasmodels/model_test.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
+++ sasmodels/model_test.py	(revision 265c65745ccdc3138b94c372d899d2b39f42bf08)
@@ -392,4 +392,6 @@
         if par == product.RADIUS_MODE_ID:
             continue
+        if par == product.STRUCTURE_MODE_ID:
+            continue
         parts = par.split('_pd')
         if len(parts) > 1 and parts[1] not in ("", "_n", "nsigma", "type"):
Index: sasmodels/models/cylinder.py
===================================================================
--- sasmodels/models/cylinder.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/cylinder.py	(revision 265c65745ccdc3138b94c372d899d2b39f42bf08)
@@ -219,12 +219,12 @@
 cyl_vol = calc_volume(parameters[2][2], parameters[3][2])
 tests.extend([
-    ({'radius_effective_mode': 0}, 0.1, None, None, r_effs[0], cyl_vol, 1.0),
-    ({'radius_effective_mode': 1}, 0.1, None, None, r_effs[1], None, None),
-    ({'radius_effective_mode': 2}, 0.1, None, None, r_effs[2], None, None),
-    ({'radius_effective_mode': 3}, 0.1, None, None, r_effs[3], None, None),
-    ({'radius_effective_mode': 4}, 0.1, None, None, r_effs[4], None, None),
-    ({'radius_effective_mode': 5}, 0.1, None, None, r_effs[5], None, None),
-    ({'radius_effective_mode': 6}, 0.1, None, None, r_effs[6], None, None),
-    ({'radius_effective_mode': 7}, 0.1, None, None, r_effs[7], None, None),
+    ({'effective_radius_mode': 0}, 0.1, None, None, r_effs[0], cyl_vol, 1.0),
+    ({'effective_radius_mode': 1}, 0.1, None, None, r_effs[1], None, None),
+    ({'effective_radius_mode': 2}, 0.1, None, None, r_effs[2], None, None),
+    ({'effective_radius_mode': 3}, 0.1, None, None, r_effs[3], None, None),
+    ({'effective_radius_mode': 4}, 0.1, None, None, r_effs[4], None, None),
+    ({'effective_radius_mode': 5}, 0.1, None, None, r_effs[5], None, None),
+    ({'effective_radius_mode': 6}, 0.1, None, None, r_effs[6], None, None),
+    ({'effective_radius_mode': 7}, 0.1, None, None, r_effs[7], None, None),
 ])
 del r_effs, cyl_vol
Index: sasmodels/models/sphere.py
===================================================================
--- sasmodels/models/sphere.py	(revision 246478561402d1b8897cef277f75d6d106b5f003)
+++ sasmodels/models/sphere.py	(revision 265c65745ccdc3138b94c372d899d2b39f42bf08)
@@ -98,9 +98,14 @@
     [{"radius": 120., "radius_pd": 0.2, "radius_pd_n":45},
      0.1, None, None, 120., None, 1.0],
-    [{"@S": "hardsphere"}, 0.1, 0.7940350343881906], # this is current value, not verified elsewhere yet
-#	[{"@S": "hardsphere",          # hard sphere structure factor
-#     "structure_factor_mode": 1,  # decoupling approximation  -  currently objecting to these new parameters
-#     "effective_radius_mode": 1   # equivalent sphere
-#	 }, 0.1, None],
+    [{"@S": "hardsphere"},
+       0.1, 0.7940350343881906], # this is current value, not verified elsewhere yet
+	[{"@S": "hardsphere",          # hard sphere structure factor
+     "structure_factor_mode": 1,  # decoupling approximation
+     "effective_radius_mode": 1   # equivalent sphere
+	 }, 0.1, 0.7940350343881906],
+	[{"@S": "hardsphere",          # hard sphere structure factor
+     "structure_factor_mode": 2,  #  -  WHY same result?
+     "effective_radius_mode": 2   # 
+	 }, 0.1, 0.7940350343881906]
 ]
 # putting None for expected result will pass the test if there are no errors from the routine, but without any check on the value of the result
Index: sasmodels/product.py
===================================================================
--- sasmodels/product.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
+++ sasmodels/product.py	(revision 265c65745ccdc3138b94c372d899d2b39f42bf08)
@@ -38,5 +38,5 @@
 
 STRUCTURE_MODE_ID = "structure_factor_mode"
-RADIUS_MODE_ID = "radius_effective_mode"
+RADIUS_MODE_ID = "effective_radius_mode"
 RADIUS_ID = "radius_effective"
 VOLFRAC_ID = "volfraction"