Index: fittingview/docs/notes.txt
===================================================================
--- fittingview/docs/notes.txt	(revision 269ad423aa3e1289e92ac3c71d5b43791c54161d)
+++ fittingview/docs/notes.txt	(revision 269ad423aa3e1289e92ac3c71d5b43791c54161d)
@@ -0,0 +1,107 @@
+Organisation
+
+  fitting module
+  	+
+  	|                        + - - + sim_page (from fitpanel2 import AUIPanel)
+  	+                        |
+  Fit_panel +- - -+ Notebook +
+  ( from fitpanel2           |
+    import FitPanel2)        |
+                             + -- + page(from fitpanel import Fitpanel)
+  
+  
+ Dictionary page_finder keys= page value= FitProblem(list of data ,theory.name and models )
+ 
+            +---------------------------------------------------------------------------+             
+ +-------+  |   +--------+       +------------+       +---------------+
+ |page   |+----+|  data  |+-----+|theory name |+-----+|[Models,M_name]|  FitProblem     |
+ +-------+  |   +--------+       +------------+       +---------------+      
+ |          +---------------------------------------------------------------------------+
+ +-------+      +--------+       +------------+       +---------------+
+ |page   |+----+|  data  |+-----+|theory name |+-----+|[Models,M_name]|
+ +-------+      +--------+       +------------+       +---------------+   
+ 
+ 
+ Dictionary was replace by class   
+ 
+1- [Problem] Data loaded from files of 2 columns do not have group_id as field.
+   thus will always generates a theory unattached to data (2 columns) 
+   
+2- [Problem] not fit able to fit 2 data and one model  since unable to select
+	 two data at the same time.       
+	 
+3- [Problem ] when fitting two model of same nature   how will the user entered the proper expression
+    Need a txtcrl to specify a new name for a each type model
+    example lineModel = M1
+    		lineModel = M2   
+ [solve] but can be improve?
+    
+    		
+ 4- I create a page given an group_id  so the 2 columns data need group_id to be add twice 
+ since for them i create a page call fit but if a page called fit is already added it will not
+ added again if a 2 nd data of 2 columns is selected    
+[Question] if  a page is not created should i post a status event message?  
+
+
+5- [To Do]take care of data range with park
+
+6- [Problem]when the user close the fitting panel and load a data and what to do the fit again with the 
+the panel fit does not show up automatically
+[solve]
+
+7- [To do ]we need a way to close tab may be a close button for current tab
+	[solve] close button added
+
+8- [Problem ] when selecting all check buttons manually , the main check button does
+ not changed accordingly
+ [FIXED]
+ 
+9- [Problem] when the user select a model first and want to perform a fit , we should fine a 
+ way to give the data the same group_id as the model loaded.
+ [ANSWER] the user will perferm the fit only starting by loading data
+ [tentative of answer]  when selecting a model from the menu is the draw in the separate 
+ window from data. it is only when selecting data that a fit page is added
+ 
+ 10- [Problem] How to tackle the problem the other way around? when the user select a model 
+ from the menu bar , does a new place has to be create to? which name to give to this page?
+ since when loading a data a new page is created?
+ []SAME ANSWER AS 9]
+
+ 11-[TO DO] when enter value in parameter fields redraw model 
+ [DONE]
+ 
+ 12-[TO DO] comment code and refine
+ 
+ 13- [UNABLE TO USE] post event on status bar and use calthread
+ [solve] except calthread
+ 
+ 14- [TO DO] more error checking
+ 
+ 15-[suggestion ] keep only one button close and close the current page except simpage 
+ [suggestion accepted]only one close button to close the current page
+ 
+ 
+ 16-[Question]redraw with evt_kill_focus or evt_text_enter
+ 
+ 17-[QUESTION] does the model need to be redraw when change fitting data range?
+[tentative of answer] _ontextEnter : when xmin and xmax changed redraw model
+[fixed]
+
+
+18-[Problem] when fitting cylinder model with cylinder data some fitting results are swapped
+[fixed] sort() method not remove yet
+
+19-[problem] when closing a windows model fitted doesn't disappear fron simpage
+[fixed]
+
+19-[Problem] how to catch not converging fitting? both scipy and park?
+ exception: raise LinAlgError, 'SVD did not converge'
+LinAlgError: SVD did not converge
+
+20- fitness class in Models was helping to overwrite a theory plot since always 
+has the same name: so do I put back fitness class or always name theory with fitness?
+
+21- [question] should the data being replot when changing xmin and xmax???
+
+22-[Question ] how to best design sim_page functionalities?
+23- [Question] how to use one object result from scipy? park returning one result