Index: src/sas/qtgui/Perspectives/Fitting/FittingLogic.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingLogic.py	(revision 0268aed2269053d708f7e97fbea13db43e371ab4)
+++ src/sas/qtgui/Perspectives/Fitting/FittingLogic.py	(revision 7d077d102dde02b0f95f856a18145c67b9e47ddd)
@@ -103,5 +103,5 @@
         self._data.ymax = ymax
 
-    def new1DPlot(self, return_data):
+    def new1DPlot(self, return_data, tab_id):
         """
         Create a new 1D data instance based on fitting results
@@ -121,5 +121,5 @@
 
         new_plot.group_id = data.group_id
-        #new_plot.id = str(self.tab_id) + " " + data.name
+        new_plot.id = str(tab_id) + " " + data.name
         new_plot.name = model.name + " [" + data.name + "]"
         new_plot.title = new_plot.name
@@ -135,5 +135,4 @@
         Create a new 2D data instance based on fitting results
         """
-
         image, data, page_id, model, state, toggle_mode_on,\
         elapsed, index, fid, qmin, qmax, weight, \
Index: src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py	(revision 0268aed2269053d708f7e97fbea13db43e371ab4)
+++ src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py	(revision 7d077d102dde02b0f95f856a18145c67b9e47ddd)
@@ -224,4 +224,5 @@
 def residualsData1D(reference_data, current_data):
     """
+    Calculate the residuals for difference of two Data1D sets
     """
     # temporary default values for index and weight
@@ -265,4 +266,5 @@
 def residualsData2D(reference_data, current_data):
     """
+    Calculate the residuals for difference of two Data2D sets
     """
     # temporary default values for index and weight
@@ -304,5 +306,4 @@
     data_copy = deepcopy(current_data)
     # Get data: data I, theory I, and data dI in order
-
     method_name = current_data.__class__.__name__
     residuals_dict = {"Data1D": residualsData1D,
Index: src/sas/qtgui/Perspectives/Fitting/FittingWidget.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision 0268aed2269053d708f7e97fbea13db43e371ab4)
+++ src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision 7d077d102dde02b0f95f856a18145c67b9e47ddd)
@@ -586,4 +586,7 @@
         # multishell params in self.kernel_module.details[??] = value
 
+        # Force the chart update
+        self.onPlot()
+
     def nameForFittedData(self, name):
         """
@@ -605,4 +608,5 @@
                 fitted_data.name = name
                 fitted_data.filename = name
+                fitted_data.symbol = "Line"
             self.updateModelIndex(fitted_data)
         else:
@@ -625,8 +629,9 @@
             name = fitted_data.name
         # Make this a line if no other defined
-        if fitted_data.symbol is None:
+        if hasattr(fitted_data, 'symbol') and fitted_data.symbol is None:
             fitted_data.symbol = 'Line'
         # Notify the GUI manager so it can update the main model in DataExplorer
         GuiUtils.updateModelItemWithPlot(self._index, QtCore.QVariant(fitted_data), name)
+        # Force redisplay
 
     def createTheoryIndex(self, fitted_data):
@@ -680,5 +685,5 @@
         Plot the current 1D data
         """
-        fitted_plot = self.logic.new1DPlot(return_data)
+        fitted_plot = self.logic.new1DPlot(return_data, self.tab_id)
         self.calculateResiduals(fitted_plot)
 
@@ -695,4 +700,5 @@
         """
         # Create a new index for holding data
+        fitted_data.symbol = "Line"
         self.createNewIndex(fitted_data)
         # Calculate difference between return_data and logic.data
@@ -704,5 +710,8 @@
         if self.data_is_loaded:
             residuals_plot = FittingUtilities.plotResiduals(self.data, fitted_data)
+            residuals_plot.id = "Residual " + residuals_plot.id
             self.createNewIndex(residuals_plot)
+
+        self.communicate.plotUpdateSignal.emit([fitted_data])
 
     def calcException(self, etype, value, tb):